package REST.Lamp.gradle;

public class Lamp {
    private int ID;
    private boolean ison;

    public Lamp() {
        this.ID = UniqueIdGenerator.getUniqueID();
    }

    public boolean isOn() {
        return ison;
    }

    public void turnOn() {
        this.ison = true;
    }

    public void turnOff() {
        this.ison = false;
    }

    public boolean matchesId(int lid) {
        return(lid == this.ID);
    }

    public boolean isNil() {
        return false;
    }

    public int getID() {
        return this.ID;
    }
    
    protected void updateOnOff(boolean onoff) {
    	this.ison = onoff;
    }
}
